Attributes (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.cql3

## Class Attributes

- java.lang.Object
- - org.apache.cassandra.cql3.Attributes

-     public class Attributes
      extends java.lang.Object

  Utility class for the Parser to gather attributes for modification statements.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Attributes.ExpirationDateOverflowPolicy`
    `static class` | `Attributes.Raw`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `MAXIMUM_EXPIRATION_DATE_EXCEEDED_REJECT_MESSAGE`
    `static java.lang.String` | `MAXIMUM_EXPIRATION_DATE_EXCEEDED_WARNING`
    `static Attributes.ExpirationDateOverflowPolicy` | `policy`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `collectMarkerSpecification(VariableSpecifications boundNames)`
    `java.lang.Iterable<Function>` | `getFunctions()`
    `long` | `getTimestamp(long now, QueryOptions options)`
    `int` | `getTimeToLive(QueryOptions options, CFMetaData metadata)`
    `boolean` | `isTimestampSet()`
    `boolean` | `isTimeToLiveSet()`
    `static void` | `maybeApplyExpirationDateOverflowPolicy(CFMetaData metadata, int ttl, boolean isDefaultTTL)`
    `static Attributes` | `none()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### policy

          public static Attributes.ExpirationDateOverflowPolicy policy

    - #### MAXIMUM_EXPIRATION_DATE_EXCEEDED_WARNING

          public static final java.lang.String MAXIMUM_EXPIRATION_DATE_EXCEEDED_WARNING

      See Also:
        Constant Field Values

    - #### MAXIMUM_EXPIRATION_DATE_EXCEEDED_REJECT_MESSAGE

          public static final java.lang.String MAXIMUM_EXPIRATION_DATE_EXCEEDED_REJECT_MESSAGE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### none

          public static Attributes none()

    - #### getFunctions

          public java.lang.Iterable<Function> getFunctions()

    - #### isTimestampSet

          public boolean isTimestampSet()

    - #### isTimeToLiveSet

          public boolean isTimeToLiveSet()

    - #### getTimestamp

          public long getTimestamp(long now,
                                   QueryOptions options)
                            throws InvalidRequestException

      Throws:
        `InvalidRequestException`

    - #### getTimeToLive

          public int getTimeToLive(QueryOptions options,
                                   CFMetaData metadata)
                            throws InvalidRequestException

      Throws:
        `InvalidRequestException`

    - #### collectMarkerSpecification

          public void collectMarkerSpecification(VariableSpecifications boundNames)

    - #### maybeApplyExpirationDateOverflowPolicy

          public static void maybeApplyExpirationDateOverflowPolicy(CFMetaData metadata,
                                                                    int ttl,
                                                                    boolean isDefaultTTL)
                                                             throws InvalidRequestException

      Throws:
        `InvalidRequestException`

Copyright © 2018 The Apache Software Foundation